Page MenuHomePhabricator

Reflect in dev.wikimedia.org what Wikimedia offers to developers
Closed, ResolvedPublic

Description

Currently our homepage, wireframes, and plan assume that developers know what they can get from Wikimedia, but we cannot assume this.

Most if not all the examples listed at https://www.mediawiki.org/wiki/Dev.wikimedia.org#Developer_hubs_.26_API_documentation offer a basic list of areas highlighting what's on offer. Which are our top level areas?

Proposal:

  • Free texts in hundreds of languages: articles, books, definitions... (Wikipedia and friends)
  • Free images and media files (Commons)
  • Free structured data (Wikidata)
  • APIs to publish and edit Wikimedia content
  • Wikimedia dumps and datasets
  • ... and hundreds of Wikimedia open source projects you can contribute to

Let's agree first on the items, and then on the images and label we should use for each, and their position in the homepage.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedQgil
Resolved Spage
ResolvedQgil
Resolved Spage
Resolved Spage
Resolved Spage
OpenNone
OpenNone
ResolvedNone
OpenNone
ResolvedAnomie
OpenNone
OpenNone
OpenNone
Resolved Spage
Resolvedori
OpenNone
OpenNone
DeclinedQgil
Resolved Spage
Resolved Spage
Resolved Spage

Event Timeline

Qgil created this task.Mar 17 2015, 9:54 AM
Qgil assigned this task to Spage.
Qgil raised the priority of this task from to High.
Qgil updated the task description. (Show Details)
Qgil added subscribers: waldyrious, Spage, revi, Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 17 2015, 9:54 AM
Qgil set Security to None.

Yeah I guess we need something, even though we lose the purity of Moiz's mockups.

... and hundreds of Wikimedia open source projects you can contribute to

Do you mean this to link to something like T90381: Use list of Wikimedia software projects (krinkle.github.io/#wikimedia )? that feels out of scope of "access our data sets and experiment with our APIs" Or is this the link upward to the umbrella "How to contribute"?

The "Web API" tag on How to contribute (which will link to the Data and developer hub) has similar introductory needs.

@MSyed's mockups need iterations, just like any mockups. I think we can agree that it is difficult to shop without knowing what is on offer.

The six items proposed in the description (do you agree with them?) could be represented with six big icons with a simple description, without any need of having lengthy explanations.

"hundreds of Wikimedia open source projects you can contribute to" can simply link to https://www.mediawiki.org/wiki/How_to_contribute, channeling all the developers interested in the OSS aspect as opposed to the API / data aspect.

I folded it in to https://www.mediawiki.org/wiki/API:Data_and_developer_hub?oldid=1495699 . APIs are how you do all of this except (in my undestanding) datasets and dumps, so I moved them around but kept all those aspects.

Spage moved this task from Backlog to For review on the Web-APIs-Hub board.Mar 24 2015, 10:25 PM
Qgil added a comment.Mar 25 2015, 8:48 AM

The message is good for now, thank you. I took the liberty of editing the text a bit to spicy it up.

Perhaps we will reformat it a bit more if/when we introduce more design in the homepage, but this is food for T305.

Spage closed this task as Resolved.Apr 6 2015, 10:32 AM

Victory for now, all subject to review.